← OBPv7.0.0 Execute ABAC Rule POST /obp/v7.0.0/management/abac-rules/ABAC_RULE_ID/execute OBPv6.0.0-executeAbacRule Roles: CanExecuteAbacRule ABAC Execute an ABAC rule to test access control. This endpoint allows you to test an ABAC rule with specific context (authenticated user, bank, account, transaction, customer, etc.). Documentation: here - Getting started with ABAC rules here - Complete list of all 18 parameters here - Detailed property reference here - Testing examples and patterns You can provide optional IDs in the request body to test the rule with specific context. User Authentication is Required. The User must be logged in. The Application must also be authenticated. URL Parameters: ABAC_RULE_ID: ABAC_RULE_ID JSON request body fields (9) account_id 8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0authenticated_user_id authenticated_user_idbank_id gh.29.ukcustomer_id 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uhon_behalf_of_user_id on_behalf_of_user_idtransaction_id 2fg8a7e4-6d02-40e3-a129-0b2bf89de8ubtransaction_request_id 8138a7e4-6d02-40e3-a129-0b2bf89de9f1user_id 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1view_id owner JSON response body fields (1) result Example request body { "authenticated_user_id": "c7b6cb47-cb96-4441-8801-35b57456753a", "on_behalf_of_user_id": "a3b5c123-1234-5678-9012-fedcba987654", "user_id": "c7b6cb47-cb96-4441-8801-35b57456753a", "bank_id": "gh.29.uk", "account_id": "8ca8a7e4-6d02-48e3-a029-0b2bf89de9f0", "view_id": "owner", "transaction_request_id": "123456", "transaction_id": "abc123", "customer_id": "customer-id-123" } Example success response { "result": true } Possible errors (4) OBP-20001: User not logged in. Authentication is required!OBP-20006: User is missing one or more roles: OBP-10001: Incorrect json format.OBP-50000: Unknown Error.